Subject: [OSPF] [OSPFv3] regarding p bit set and FA for NSSA (Type-7) LSAs

From: Veerendranatha Reddy Vallem <[email-masked]>
Date: Tue, 9 Aug 2016 12:38:33 +0000

Hi All,
Can you please provide clarification for following in OSPFv3 NSSA implementation.

As RFC 3101 is considered NSSA RFC for both OSPFv2 and OSPFv3,

Case 1:

As per RFC 3101, 2.4 section, While originating Type-7 LSA, if p -bit is set, then Forwarding address (FA) must be non- zero.

2.4<https://tools.ietf.org/html/rfc3101#section-2.4> Originating Type-7 LSAs

   NSSA AS boundary routers may only originate Type-7 LSAs into NSSAs.

   An NSSA internal AS boundary router must set the P-bit in the LSA

   header's option field of any Type-7 LSA whose network it wants

   advertised into the OSPF domain's full transit topology.  The LSAs of

   these networks must have a valid non-zero forwarding address.  If the

   P-bit is clear the LSA is not translated into a Type-5 LSA by NSSA

   border routers.

For OSPFv3 case, there may be possible FA  is not available (no global address is configured on any of NSSA interface).
If OSPFv3 receives Type-7 LSA with p bit set but no forwarding address, whether this LSA should be consider as valid and can be used for route calculation?

Case 2:

In section 3.2  , Translating Type-7 LSAs into Type-5 LSAs, (1)

(1) If the Type-7 LSA has the P-bit clear, or its forwarding

          address is set to 0.0.0.0, or the most specific Type-7 address

          range that subsumes the LSA's network has DoNotAdvertise

          status, then do nothing with this Type-7 LSA and consider the

          next one in the list.  Otherwise term the LSA as translatable

          and proceed with step (2).

Same in OSPFv3, if we received Type-7 LSA with no forwarding address but 'p' bit set, whether ABR is allowed to translate this LSA to Type-5 External LSA?

As per my understanding, if Forwarding address is not available, Type-7 LSA must be originated with no 'p' bit set and no forwarding address. If 'p' bit is set means, it must  always
Carry forwarding address(for OSPFv3, it must be global ipv6 address configured on any of interfaces).

Please let me know whether my understanding is correct or not for OSPFv3, as per RFC 3101.

Regards,
Veerendranath